util.misc

## Class ChangeTrackingProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - util.misc.ChangeTrackingProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class ChangeTrackingProperties
      extends java.util.Properties

  properties implementation which tracks changes and only stores itself to disk if there were changes in the properties collection
  Author:
    Bananeweizen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeTrackingProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `changed()` whether or not the properties stored in this object have changed since object creation
    `java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)`
    `void` | `store(java.io.File file)`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeTrackingProperties

          public ChangeTrackingProperties()

  - ### Method Detail

    - #### setProperty

          public java.lang.Object setProperty(java.lang.String key,
                                     java.lang.String value)

      Overrides:
        `setProperty` in class `java.util.Properties`

    - #### changed

          public boolean changed()

      whether or not the properties stored in this object have changed since object creation
      Returns:
        changed

    - #### store

          public void store(java.io.File file)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)